> ## Name

> cgSetIntArrayStateAssignment - set an int-valued state assignment array

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgSetIntArrayStateAssignment( CGstateassignment sa,
>                                          const int * vals );

> ## Parameters

> sa
>   A handle to a state assignment array of type CG_INT.
> vals
>   The values which will be used to set sa.

> ## Return Values

> Returns CG_TRUE if it succeeds in setting the state assignment.

> Returns CG_FALSE otherwise.

> ## Description

> cgSetIntArrayStateAssignment sets the value of a state assignment of int array type.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

> CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of an int type.

> ## History

> cgSetIntArrayStateAssignment was introduced in Cg 1.5.

> ## See Also

> cgGetIntStateAssignmentValues, cgSetIntStateAssignment, cgSetBoolArrayStateAssignment, cgSetBoolStateAssignment, cgSetFloatArrayStateAssignment, cgSetFloatStateAssignment, cgSetProgramStateAssignment, cgSetSamplerStateAssignment, cgSetStringStateAssignment, cgSetTextureStateAssignment